import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import React from 'react';
import PropTypes from 'prop-types';
import { Switch as BSwitch } from "@blueprintjs/core/lib/esm/components/forms/controls.js";
import FormGroupWrapper from '../form-group/form-group';
import propsCatcher from '../props-catcher/props-catcher';

var Switch = function Switch(_ref) {
  var input = _ref.input,
      isRequired = _ref.isRequired,
      label = _ref.label,
      onText = _ref.onText,
      offText = _ref.offText,
      providerRequired = _ref.providerRequired,
      props = _objectWithoutProperties(_ref, ["input", "isRequired", "label", "onText", "offText", "providerRequired"]);

  return /*#__PURE__*/React.createElement(BSwitch, _extends({
    label: (input.checked ? onText : offText) || label
  }, propsCatcher(props), isRequired && {
    label: /*#__PURE__*/React.createElement("span", null, label, " ", providerRequired)
  }, input));
};

Switch.propTypes = {
  input: PropTypes.object,
  isRequired: PropTypes.bool,
  label: PropTypes.node,
  onText: PropTypes.node,
  offText: PropTypes.node,
  providerRequired: PropTypes.node
};

var WrapperSwitch = function WrapperSwitch(props) {
  return /*#__PURE__*/React.createElement(FormGroupWrapper, _extends({}, props, {
    hideLabel: true,
    type: "checkbox",
    Component: Switch
  }));
};

export default WrapperSwitch;